Metafield definitions
List supported metafield data types
Returns every value type a metafield definition can have, with a description of each and the validation rules it accepts. Use a returned value_type when you create a definition, and its supported_validations keys in validation_rules.
Requires a company admin credential with the Developer view permission.
GET
/
api
/
v2
/
metafield_definitions
/
supported_data_types
List supported metafield data types
curl --request GET \
--url https://api.fluid.app/api/v2/metafield_definitions/supported_data_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2/metafield_definitions/supported_data_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2/metafield_definitions/supported_data_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v2/metafield_definitions/supported_data_types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v2/metafield_definitions/supported_data_types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v2/metafield_definitions/supported_data_types")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v2/metafield_definitions/supported_data_types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"supported_data_types": [
{
"value_type": "single_line_text_field",
"description": "Single line text up to 5000 characters",
"supported_validations": [
{
"key": "min",
"description": "Minimum value (length for text, value for numbers, date for dates)"
},
{
"key": "max",
"description": "Maximum value (length for text, value for numbers, date for dates)"
},
{
"key": "choices",
"description": "List of allowed values"
},
{
"key": "regex",
"description": "Regular expression pattern to match"
}
]
}
],
"meta": {
"request_id": "5e1d6c7a-93d3-4d0e-8b0e-2a0f6e2f2f4b",
"timestamp": "2026-11-16T16:40:58Z"
}
}{
"message": "Invalid credentials."
}{
"error": "Not authorized."
}⌘I
List supported metafield data types
curl --request GET \
--url https://api.fluid.app/api/v2/metafield_definitions/supported_data_types \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/v2/metafield_definitions/supported_data_types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/v2/metafield_definitions/supported_data_types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/v2/metafield_definitions/supported_data_types",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/v2/metafield_definitions/supported_data_types"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/v2/metafield_definitions/supported_data_types")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/v2/metafield_definitions/supported_data_types")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"supported_data_types": [
{
"value_type": "single_line_text_field",
"description": "Single line text up to 5000 characters",
"supported_validations": [
{
"key": "min",
"description": "Minimum value (length for text, value for numbers, date for dates)"
},
{
"key": "max",
"description": "Maximum value (length for text, value for numbers, date for dates)"
},
{
"key": "choices",
"description": "List of allowed values"
},
{
"key": "regex",
"description": "Regular expression pattern to match"
}
]
}
],
"meta": {
"request_id": "5e1d6c7a-93d3-4d0e-8b0e-2a0f6e2f2f4b",
"timestamp": "2026-11-16T16:40:58Z"
}
}{
"message": "Invalid credentials."
}{
"error": "Not authorized."
}